OgreVertexIndexData.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreHardwareVertexBuffer.h"`
`#include "OgreHardwareIndexBuffer.h"`

Go to the source code of this file.

## Classes

class | Ogre::VertexData
| Summary class collecting together vertex source information. More...
struct | Ogre::VertexData::HardwareAnimationData
| Struct used to hold hardware morph / pose vertex data information. More...
class | Ogre::IndexData
| Summary class collecting together index data source information. More...
class | Ogre::VertexCacheProfiler
| Vertex cache profiler. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef vector < HardwareBuffer::Usage > ::type | Ogre::BufferUsageList
| Define a list of usage flags.

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25